/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.army.entities;



/**
 * a courier individual
 * @author farfpeuf
 *
 */
public class Courier extends MessageReceiver{

	/**
	 * the message sender
	 */
	private Leader sender;
	/**
	 * the message receiver
	 */
	private Entity receiver;
	
	/**
	 * create courier from line read in catalog
	 * 
	 * @param ligne
	 *            catalog line
	 * @param linenumber
	 *            line number
	 */
	public Courier(String ligne,int linenumber){

			super(ligne,linenumber);


	}
	/**
	 * reset entity after end of battle
	 * 
	 * @param winner
	 *            did the entity army won the battle
	 */
	public void endBattle(boolean winner){
		super.endBattle(winner);
		sender=null;
		receiver=null;
	}
	
	/**
	 * get resource key
	 */
	protected  String getResourceKey(){
		return "courier";
	}
	/**
	 * @return Returns the receiver.
	 */
	public Entity getReceiver() {
		return receiver;
	}
	/**
	 * @param receiver The receiver to set.
	 */
	public void setReceiver(Entity receiver) {
		this.receiver = receiver;
	}
	/**
	 * @return Returns the sender.
	 */
	public Leader getSender() {
		return sender;
	}
	/**
	 * @param sender The sender to set.
	 */
	public void setSender(Leader sender) {
		this.sender = sender;
	}


}
