/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.campaign;

import java.awt.Polygon;

/**
 * a flag to be drown on the campaign map to notify that a force controls a
 * city or a capital
 * 
 * @author farfpeuf
 * 
 */

public class Flag extends Polygon {

	/**
	 * construcor
	 * 
	 * @param centerX
	 *            position x coordinate
	 * @param centerY
	 *            position y coordinate
	 * @param height
	 *            flag height
	 */
	public Flag(int centerX, int centerY, int height) {
		super();
		this.npoints = 4;
		this.xpoints = new int[npoints];
		this.ypoints = new int[npoints];

		xpoints[0] = centerX;
		xpoints[1] = centerX;
		xpoints[2] = centerX + height / 2;
		xpoints[3] = centerX;

		ypoints[0] = centerY;
		ypoints[1] = centerY - height;
		ypoints[2] = centerY - 3 * height / 4;
		ypoints[3] = centerY - height / 2;

	}

}
