/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.frames.popups;
import javax.swing.JInternalFrame;
import javax.swing.JPanel;

import fb.gui.widgets.ButtonListener;
import fb.gui.widgets.FBButton;
import fb.gui.widgets.FBTextArea;
import fb.main.FB;
import fb.util.FBColors;
import fb.util.PercentageLayout;
import fb.util.Resources;
/**
 * an internal frame to display popup messages
 * @author Farfpeuf
 */
public class MessagePopup extends JInternalFrame {
	/**
	 * constructor
	 * 
	 * build and assemble elements
	 * 
	 * @param title frame title
	 * @param message message
	 */
	public MessagePopup(String title, String message) {
		super(title, false, false, false, false);
		FBButton ok = new FBButton(Resources.getString("OK"));
		FBTextArea textArea=new FBTextArea(false);
		textArea.appendText(message,FBColors.standardText);
		JPanel cont = new JPanel();
		cont.setLayout(new PercentageLayout());
		cont.add(textArea,new PercentageLayout.Constraint(0, 0, 100, 80));
		cont.add(ok,new PercentageLayout.Constraint(35, 80, 30, 20));
		ok.addActionListener(new ButtonListener() {
			public void threadedActionPerformed() {
				closeFrame();
			}
		});
		getContentPane().add(cont);
	}
	/**
	 * close this frame
	 *
	 */
	private synchronized void closeFrame() {
		FB.getInstance().requestFocus();
		dispose();
		try {
			notify();
		} catch (IllegalMonitorStateException e) {
			System.out.println("illegal monitor state");
			e.printStackTrace();
		}
	}
}