/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import java.awt.GridLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JPanel;

import fb.army.entities.FlyingEntity;
import fb.army.entities.Individual;
import fb.gui.widgets.FBButton;
import fb.util.Resources;
/**
 * panel to choose individual manoeuvres
 * @author farfpeuf
 *
 */
public class IndividualManoeuvrePanel extends JPanel {
	/**
	 * current individual
	 */
	private Individual indvd;
	/**
	 * available manoeuvres buttons
	 */
	private FBButton takeOff, land, left45, right45;
	/**
	 * chnage current individual
	 * @param i the new individual
	 */
	public void setIndividual(Individual i) {
		indvd = i;
		enableButtons();
	}
	/**
	 * calculate buttons enabling
	 *
	 */
	public void enableButtons() {
		takeOff.setVisible(indvd instanceof FlyingEntity);
		land.setVisible(indvd instanceof FlyingEntity);
		takeOff.setEnabled(indvd instanceof FlyingEntity
				&& ((FlyingEntity) indvd).canTakeOff());
		land.setEnabled(indvd instanceof FlyingEntity
				&& ((FlyingEntity) indvd).canLand());
	}
	/**
	 * constructor build and assemble panel elements
	 */
	public IndividualManoeuvrePanel() {
		setLayout(new GridLayout(2,2));
		left45 = new FBButton(null, "90left", true);
		right45 = new FBButton(null, "90right", true);
		takeOff=new FBButton(null,"take_off",true);
		land=new FBButton(null,"land",true);

        
        takeOff.setToolTipText(Resources.getString("takeoff.tt"));
        land.setToolTipText(Resources.getString("land.tt"));
        
		add(left45);
		add(right45);
		add(takeOff);
		add(land);
		setSize(120, 120);
		setOpaque(false);
		validate();
		takeOff.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				((FlyingEntity) indvd).takeOff();
				enableButtons();
			}
		});
		land.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				((FlyingEntity) indvd).land();
				enableButtons();
			}
		});
		left45.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				indvd.left45();
			}
		});
		right45.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent ev) {
				indvd.right45();
			}
		});
	}
}