/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.panels;

import javax.swing.JPanel;

import fb.gui.widgets.RecruitListener;

/**
 * a panel to choose options when recruiting an entity
 * 
 * @author farfpeuf
 * 
 */
public class RecruitPanel extends JPanel {
	/**
	 * add a recruit listener to listener list
	 * 
	 * @param l
	 *            the listener
	 */
	public void addRecrutListener(RecruitListener l) {
		listenerList.add(l.getClass(), l);
	}

	/**
	 * remove a recruit listener from listener list
	 * 
	 * @param l
	 *            the listener
	 */
	public void removeRecrutListener(RecruitListener l) {
		listenerList.remove(l.getClass(), l);
	}

	/**
	 * notify every listeners that entity changed
	 * 
	 */
	protected void fireEntityChanged() {

		Object[] listeners = listenerList.getListenerList();

		for (int i = listeners.length - 2; i >= 0; i -= 2) {

			((RecruitListener) listeners[i + 1]).entityChanged();

		}
	}

}
