/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;

import java.awt.Component;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.AbstractCellEditor;
import javax.swing.JTable;
import javax.swing.table.TableCellEditor;

/**
 * table cell editor to choose if player is human or artificial intelligence
 * 
 * @author farfpeuf
 * 
 */
public class AIEditor extends AbstractCellEditor implements TableCellEditor {
	/**
	 * delegate checkbox component
	 */
	protected AICheckBox editorComponent;

	/**
	 * table cell editor implemetation
	 */
	public Component getTableCellEditorComponent(JTable table, Object value,
			boolean isSelected, int row, int column) {
		editorComponent.setValue((Boolean) value);
		return editorComponent;
	}

	/**
	 * @return the editor value
	 */
	public Object getCellEditorValue() {
		return Boolean.valueOf(editorComponent.isValue());
	}

	/**
	 * constructor builds delegate checkbox and register its events
	 */
	public AIEditor() {
		super();
		editorComponent = new AICheckBox(false);
		editorComponent.setActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				AIEditor.this.stopCellEditing();
			}
		});
	}

}
