/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.gui.widgets;

import fb.main.Battle;
import fb.phases.PlayerMagicPhase;
import fb.spells.BasicSpell;

/**
 * a spell button
 * 
 * @author farfpeuf
 */
public class SpellButton extends FBButton {
	/**
	 * the spell casted when button is hit
	 */
	private BasicSpell spell;

	/**
	 * constructor
	 * 
	 * @param spell
	 *            the spell casted when button is hit
	 */
	public SpellButton(BasicSpell spell) {
		super(null, spell.getName(), true);
		this.spell = spell;

		addActionListener(new ButtonListener() {
			public void threadedActionPerformed() {
				((PlayerMagicPhase) Battle.getLoop().currentSynchronizedPhase)
						.setSpell(SpellButton.this.spell);
			}
		});
	}
}
