/*
 * Copyright 2002 Farfpeuf/ AdetSoft. All rights reserved.
 * Use is subject to license terms.
 */
package fb.spells;

import fb.army.entities.Entity;
import fb.army.entities.Heroic;
/**
 * a spell to attack another entity
 * @author farfpeuf
 *
 */
public abstract class AttackSpell extends TargetSpell {
	/**
	 * @param potentialTarget
	 *            the target
	 * @return weight modifiers for artificial intelligence for specified target
	 */
	public int getWeight(Entity potentialTarget) {
        int weight=super.getWeight(potentialTarget);
      
        if (potentialTarget instanceof Heroic || potentialTarget.isUnit()) {
            if (potentialTarget.stepsTo(caster)<potentialTarget.getMovement()) {
                weight += 3;
            }
            if (caster.getArmy().getWarchief()!=null && potentialTarget.stepsTo(caster.getArmy().getWarchief())<potentialTarget.getMovement()) {
                weight += 3;
            }
        }
        
        
        
        return weight;
    }
}
